Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config
Class Generator.XMLBeansModel

    java.lang.Object
      org.jboss.soa.esb.listeners.config.Generator.XMLBeansModel

Enclosing class:
  Generator

    public static class Generator.XMLBeansModel

extends java.lang.Object

XMLBeans based model implementation.

Author:
  tom.fennelly@jboss.com

Method Summary
`Bus` | `getBus(java.lang.String busid)` Get the <bus> configuration matching the supplied busid reference value.
`java.util.List<Listener>` | `getESBAwareListeners()` Get the list of ESB Aware Listeners from the configuration.
`java.util.List<Listener>` | `getGatewayListeners()` Get the list of ESB Gateway Listeners from the configuration.
`java.lang.String` | `getParameterReloadSecs()` Gets the setting for the number of seconds between reloads.
`static java.lang.String` | `getProperty(java.util.List<PropertyDocument.Property> properties, java.lang.String name, java.lang.String defaultVal)`
`Provider` | `getProvider(Bus bus)` Get the <provider> configuration containing the supplied Bus configuration instance.
`ScheduleProviderDocument.ScheduleProvider` | `getScheduleProvider()`
`ServiceDocument.Service` | `getService(Listener listener)` Get the Service to which the supplied `Listener` configuration instance is bound.
`java.util.List<ServiceDocument.Service>` | `getServices()` Get the Service list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getGatewayListeners

    public java.util.List<Listener> getGatewayListeners()
                                                 throws ConfigurationException

  Get the list of ESB Gateway Listeners from the configuration.

  Returns:
    The list of ESB Gateway Listeners from the configuration.
  Throws:
    `ConfigurationException` - Bad configuration.

### getESBAwareListeners

    public java.util.List<Listener> getESBAwareListeners()
                                                  throws ConfigurationException

  Get the list of ESB Aware Listeners from the configuration.

  Returns:
    The list of ESB Aware Listeners from the configuration.
  Throws:
    `ConfigurationException` - Bad configuration.

### getService

    public ServiceDocument.Service getService(Listener listener)

  Get the Service to which the supplied `Listener` configuration instance is bound.

  Parameters:
    `listener` - The listener instance (Gateway or ESB Aware).
  Returns:
    The Service to which the

### getServices

    public java.util.List<ServiceDocument.Service> getServices()

  Get the Service list.

  Returns:
    Service list.

### getBus

    public Bus getBus(java.lang.String busid)
               throws ConfigurationException

  Get the <bus> configuration matching the supplied busid reference value.

  Parameters:
    `busid` - The required <bus> configuration reference value.
  Returns:
    The Bus configuration instance.
  Throws:
    `ConfigurationException` - Unknown busid reference value.

### getProvider

    public Provider getProvider(Bus bus)

  Get the <provider> configuration containing the supplied Bus configuration instance.

  Parameters:
    `bus` - The Bus config instance whose Provider is being sought.
  Returns:
    The Provider configuration instance.

### getScheduleProvider

    public ScheduleProviderDocument.ScheduleProvider getScheduleProvider()

### getParameterReloadSecs

    public java.lang.String getParameterReloadSecs()

  Gets the setting for the number of seconds between reloads.

  Returns:
    The param reload seconds config value.

### getProperty

    public static java.lang.String getProperty(java.util.List<PropertyDocument.Property> properties,
                                               java.lang.String name,
                                               java.lang.String defaultVal)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD